use lazy_static::lazy_static;
use std::collections::HashMap;

lazy_static! {
    pub static ref MAPPINGS_JP: HashMap<String, String> = HashMap::from([
        ("!".to_string(), "！".to_string()),
        ("\"".to_string(), "＂".to_string()),
        ("#".to_string(), "＃".to_string()),
        ("$".to_string(), "＄".to_string()),
        ("%".to_string(), "％".to_string()),
        ("&".to_string(), "＆".to_string()),
        ("'".to_string(), "＇".to_string()),
        ("(".to_string(), "（".to_string()),
        (")".to_string(), "）".to_string()),
        ("*".to_string(), "＊".to_string()),
        ("+".to_string(), "＋".to_string()),
        (",".to_string(), "，".to_string()),
        ("-".to_string(), "－".to_string()),
        (".".to_string(), "．".to_string()),
        ("/".to_string(), "／".to_string()),
        (":".to_string(), "：".to_string()),
        (";".to_string(), "；".to_string()),
        ("<".to_string(), "＜".to_string()),
        ("=".to_string(), "＝".to_string()),
        (">".to_string(), "＞".to_string()),
        ("?".to_string(), "？".to_string()),
        ("@".to_string(), "＠".to_string()),
        ("A".to_string(), "Ａ".to_string()),
        ("B".to_string(), "Ｂ".to_string()),
        ("C".to_string(), "Ｃ".to_string()),
        ("D".to_string(), "Ｄ".to_string()),
        ("E".to_string(), "Ｅ".to_string()),
        ("F".to_string(), "Ｆ".to_string()),
        ("G".to_string(), "Ｇ".to_string()),
        ("H".to_string(), "Ｈ".to_string()),
        ("I".to_string(), "Ｉ".to_string()),
        ("J".to_string(), "Ｊ".to_string()),
        ("K".to_string(), "Ｋ".to_string()),
        ("L".to_string(), "Ｌ".to_string()),
        ("M".to_string(), "Ｍ".to_string()),
        ("N".to_string(), "Ｎ".to_string()),
        ("O".to_string(), "Ｏ".to_string()),
        ("P".to_string(), "Ｐ".to_string()),
        ("Q".to_string(), "Ｑ".to_string()),
        ("R".to_string(), "Ｒ".to_string()),
        ("S".to_string(), "Ｓ".to_string()),
        ("T".to_string(), "Ｔ".to_string()),
        ("U".to_string(), "Ｕ".to_string()),
        ("V".to_string(), "Ｖ".to_string()),
        ("W".to_string(), "Ｗ".to_string()),
        ("X".to_string(), "Ｘ".to_string()),
        ("Y".to_string(), "Ｙ".to_string()),
        ("Z".to_string(), "Ｚ".to_string()),
        ("[".to_string(), "［".to_string()),
        ("\\".to_string(), "＼".to_string()),
        ("]".to_string(), "］".to_string()),
        ("^".to_string(), "＾".to_string()),
        ("_".to_string(), "＿".to_string()),
        ("`".to_string(), "｀".to_string()),
        ("a".to_string(), "ａ".to_string()),
        ("b".to_string(), "ｂ".to_string()),
        ("c".to_string(), "ｃ".to_string()),
        ("d".to_string(), "ｄ".to_string()),
        ("e".to_string(), "ｅ".to_string()),
        ("f".to_string(), "ｆ".to_string()),
        ("g".to_string(), "ｇ".to_string()),
        ("h".to_string(), "ｈ".to_string()),
        ("i".to_string(), "ｉ".to_string()),
        ("j".to_string(), "ｊ".to_string()),
        ("k".to_string(), "ｋ".to_string()),
        ("l".to_string(), "ｌ".to_string()),
        ("m".to_string(), "ｍ".to_string()),
        ("n".to_string(), "ｎ".to_string()),
        ("o".to_string(), "ｏ".to_string()),
        ("p".to_string(), "ｐ".to_string()),
        ("q".to_string(), "ｑ".to_string()),
        ("r".to_string(), "ｒ".to_string()),
        ("s".to_string(), "ｓ".to_string()),
        ("t".to_string(), "ｔ".to_string()),
        ("u".to_string(), "ｕ".to_string()),
        ("v".to_string(), "ｖ".to_string()),
        ("w".to_string(), "ｗ".to_string()),
        ("x".to_string(), "ｘ".to_string()),
        ("y".to_string(), "ｙ".to_string()),
        ("z".to_string(), "ｚ".to_string()),
        ("{".to_string(), "｛".to_string()),
        ("|".to_string(), "｜".to_string()),
        ("}".to_string(), "｝".to_string()),
        ("~".to_string(), "～".to_string()),
        (" ".to_string(), "\u{3000}".to_string()),
        ("0".to_string(), "０".to_string()),
        ("1".to_string(), "１".to_string()),
        ("2".to_string(), "２".to_string()),
        ("3".to_string(), "３".to_string()),
        ("4".to_string(), "４".to_string()),
        ("5".to_string(), "５".to_string()),
        ("6".to_string(), "６".to_string()),
        ("7".to_string(), "７".to_string()),
        ("8".to_string(), "８".to_string()),
        ("9".to_string(), "９".to_string()),
        ("ｧ".to_string(), "ァ".to_string()),
        ("ｱ".to_string(), "ア".to_string()),
        ("ｨ".to_string(), "ィ".to_string()),
        ("ｲ".to_string(), "イ".to_string()),
        ("ｩ".to_string(), "ゥ".to_string()),
        ("ｳ".to_string(), "ウ".to_string()),
        ("ｪ".to_string(), "ェ".to_string()),
        ("ｴ".to_string(), "エ".to_string()),
        ("ｫ".to_string(), "ォ".to_string()),
        ("ｵ".to_string(), "オ".to_string()),
        ("ｶ".to_string(), "カ".to_string()),
        ("ｶﾞ".to_string(), "ガ".to_string()),
        ("ｷ".to_string(), "キ".to_string()),
        ("ｷﾞ".to_string(), "ギ".to_string()),
        ("ｸ".to_string(), "ク".to_string()),
        ("ｸﾞ".to_string(), "グ".to_string()),
        ("ｹ".to_string(), "ケ".to_string()),
        ("ｹﾞ".to_string(), "ゲ".to_string()),
        ("ｺ".to_string(), "コ".to_string()),
        ("ｺﾞ".to_string(), "ゴ".to_string()),
        ("ｻ".to_string(), "サ".to_string()),
        ("ｻﾞ".to_string(), "ザ".to_string()),
        ("ｼ".to_string(), "シ".to_string()),
        ("ｼﾞ".to_string(), "ジ".to_string()),
        ("ｽ".to_string(), "ス".to_string()),
        ("ｽﾞ".to_string(), "ズ".to_string()),
        ("ｾ".to_string(), "セ".to_string()),
        ("ｾﾞ".to_string(), "ゼ".to_string()),
        ("ｿ".to_string(), "ソ".to_string()),
        ("ｿﾞ".to_string(), "ゾ".to_string()),
        ("ﾀ".to_string(), "タ".to_string()),
        ("ﾀﾞ".to_string(), "ダ".to_string()),
        ("ﾁ".to_string(), "チ".to_string()),
        ("ﾁﾞ".to_string(), "ヂ".to_string()),
        ("ｯ".to_string(), "ッ".to_string()),
        ("ﾂ".to_string(), "ツ".to_string()),
        ("ﾂﾞ".to_string(), "ヅ".to_string()),
        ("ﾃ".to_string(), "テ".to_string()),
        ("ﾃﾞ".to_string(), "デ".to_string()),
        ("ﾄ".to_string(), "ト".to_string()),
        ("ﾄﾞ".to_string(), "ド".to_string()),
        ("ﾅ".to_string(), "ナ".to_string()),
        ("ﾆ".to_string(), "ニ".to_string()),
        ("ﾇ".to_string(), "ヌ".to_string()),
        ("ﾈ".to_string(), "ネ".to_string()),
        ("ﾉ".to_string(), "ノ".to_string()),
        ("ﾊ".to_string(), "ハ".to_string()),
        ("ﾊﾞ".to_string(), "バ".to_string()),
        ("ﾊﾟ".to_string(), "パ".to_string()),
        ("ﾋ".to_string(), "ヒ".to_string()),
        ("ﾋﾞ".to_string(), "ビ".to_string()),
        ("ﾋﾟ".to_string(), "ピ".to_string()),
        ("ﾌ".to_string(), "フ".to_string()),
        ("ﾌﾞ".to_string(), "ブ".to_string()),
        ("ﾌﾟ".to_string(), "プ".to_string()),
        ("ﾍ".to_string(), "ヘ".to_string()),
        ("ﾍﾞ".to_string(), "ベ".to_string()),
        ("ﾍﾟ".to_string(), "ペ".to_string()),
        ("ﾎ".to_string(), "ホ".to_string()),
        ("ﾎﾞ".to_string(), "ボ".to_string()),
        ("ﾎﾟ".to_string(), "ポ".to_string()),
        ("ﾏ".to_string(), "マ".to_string()),
        ("ﾐ".to_string(), "ミ".to_string()),
        ("ﾑ".to_string(), "ム".to_string()),
        ("ﾒ".to_string(), "メ".to_string()),
        ("ﾓ".to_string(), "モ".to_string()),
        ("ｬ".to_string(), "ャ".to_string()),
        ("ﾔ".to_string(), "ヤ".to_string()),
        ("ｭ".to_string(), "ュ".to_string()),
        ("ﾕ".to_string(), "ユ".to_string()),
        ("ｮ".to_string(), "ョ".to_string()),
        ("ﾖ".to_string(), "ヨ".to_string()),
        ("ﾗ".to_string(), "ラ".to_string()),
        ("ﾘ".to_string(), "リ".to_string()),
        ("ﾙ".to_string(), "ル".to_string()),
        ("ﾚ".to_string(), "レ".to_string()),
        ("ﾛ".to_string(), "ロ".to_string()),
        ("ﾜ".to_string(), "ワ".to_string()),
        ("ｦ".to_string(), "ヲ".to_string()),
        ("ﾝ".to_string(), "ン".to_string()),
        ("ｰ".to_string(), "ー".to_string()),
        ("ヮ".to_string(), "ヮ".to_string()),
        ("ヰ".to_string(), "ヰ".to_string()),
        ("ヱ".to_string(), "ヱ".to_string()),
        ("ヵ".to_string(), "ヵ".to_string()),
        ("ヶ".to_string(), "ヶ".to_string()),
        ("ｳﾞ".to_string(), "ヴ".to_string()),
        ("ヽ".to_string(), "ヽ".to_string()),
        ("ヾ".to_string(), "ヾ".to_string()),
        ("･".to_string(), "・".to_string()),
        ("｢".to_string(), "「".to_string()),
        ("｣".to_string(), "」".to_string()),
        ("｡".to_string(), "。".to_string()),
        ("､".to_string(), "、".to_string())
    ]);
    pub static ref MAPPINGS_RU: HashMap<String, String> = HashMap::from([
        ("а".to_string(), "a".to_string()),
        ("б".to_string(), "b".to_string()),
        ("в".to_string(), "v".to_string()),
        ("г".to_string(), "g".to_string()),
        ("д".to_string(), "d".to_string()),
        ("е".to_string(), "e".to_string()),
        ("ё".to_string(), "e".to_string()),
        ("ж".to_string(), "zh".to_string()),
        ("з".to_string(), "z".to_string()),
        ("и".to_string(), "i".to_string()),
        ("й".to_string(), "i".to_string()),
        ("к".to_string(), "k".to_string()),
        ("л".to_string(), "l".to_string()),
        ("м".to_string(), "m".to_string()),
        ("н".to_string(), "n".to_string()),
        ("о".to_string(), "o".to_string()),
        ("п".to_string(), "p".to_string()),
        ("р".to_string(), "r".to_string()),
        ("с".to_string(), "s".to_string()),
        ("т".to_string(), "t".to_string()),
        ("у".to_string(), "u".to_string()),
        ("ф".to_string(), "f".to_string()),
        ("х".to_string(), "kh".to_string()),
        ("ц".to_string(), "tc".to_string()),
        ("ч".to_string(), "ch".to_string()),
        ("ш".to_string(), "sh".to_string()),
        ("щ".to_string(), "shch".to_string()),
        ("ъ".to_string(), "".to_string()),
        ("ы".to_string(), "y".to_string()),
        ("ь".to_string(), "'".to_string()),
        ("э".to_string(), "e".to_string()),
        ("ю".to_string(), "iu".to_string()),
        ("я".to_string(), "ia".to_string()),
        ("А".to_string(), "A".to_string()),
        ("Б".to_string(), "B".to_string()),
        ("В".to_string(), "V".to_string()),
        ("Г".to_string(), "G".to_string()),
        ("Д".to_string(), "D".to_string()),
        ("Е".to_string(), "E".to_string()),
        ("Ё".to_string(), "E".to_string()),
        ("Ж".to_string(), "Zh".to_string()),
        ("З".to_string(), "Z".to_string()),
        ("И".to_string(), "I".to_string()),
        ("Й".to_string(), "I".to_string()),
        ("К".to_string(), "K".to_string()),
        ("Л".to_string(), "L".to_string()),
        ("М".to_string(), "M".to_string()),
        ("Н".to_string(), "N".to_string()),
        ("О".to_string(), "O".to_string()),
        ("П".to_string(), "P".to_string()),
        ("Р".to_string(), "R".to_string()),
        ("С".to_string(), "S".to_string()),
        ("Т".to_string(), "T".to_string()),
        ("У".to_string(), "U".to_string()),
        ("Ф".to_string(), "F".to_string()),
        ("Х".to_string(), "Kh".to_string()),
        ("Ц".to_string(), "Tc".to_string()),
        ("Ч".to_string(), "Ch".to_string()),
        ("Ш".to_string(), "Sh".to_string()),
        ("Щ".to_string(), "Shch".to_string()),
        ("Ъ".to_string(), "".to_string()),
        ("Ы".to_string(), "Y".to_string()),
        ("Ь".to_string(), "'".to_string()),
        ("Э".to_string(), "E".to_string()),
        ("Ю".to_string(), "Iu".to_string()),
        ("Я".to_string(), "Ia".to_string())
    ]);
    pub static ref MAPPINGS_DE: HashMap<String, String> = HashMap::from([
        ("Ä".to_string(), "Ae".to_string()),
        ("ä".to_string(), "ae".to_string()),
        ("Ö".to_string(), "Oe".to_string()),
        ("ö".to_string(), "oe".to_string()),
        ("Ü".to_string(), "Ue".to_string()),
        ("ü".to_string(), "ue".to_string()),
        ("ß".to_string(), "ss".to_string())
    ]);
    pub static ref MAPPINGS_HW: HashMap<String, String> = HashMap::from([
        ("－".to_string(), "-".to_string()),
        ("ｰ".to_string(), "-".to_string()),
        ("ァ".to_string(), "ｧ".to_string()),
        ("ア".to_string(), "ｱ".to_string()),
        ("ィ".to_string(), "ｨ".to_string()),
        ("イ".to_string(), "ｲ".to_string()),
        ("ゥ".to_string(), "ｩ".to_string()),
        ("ウ".to_string(), "ｳ".to_string()),
        ("ェ".to_string(), "ｪ".to_string()),
        ("エ".to_string(), "ｴ".to_string()),
        ("ォ".to_string(), "ｫ".to_string()),
        ("オ".to_string(), "ｵ".to_string()),
        ("カ".to_string(), "ｶ".to_string()),
        ("ガ".to_string(), "ｶﾞ".to_string()),
        ("キ".to_string(), "ｷ".to_string()),
        ("ギ".to_string(), "ｷﾞ".to_string()),
        ("ク".to_string(), "ｸ".to_string()),
        ("グ".to_string(), "ｸﾞ".to_string()),
        ("ケ".to_string(), "ｹ".to_string()),
        ("ゲ".to_string(), "ｹﾞ".to_string()),
        ("コ".to_string(), "ｺ".to_string()),
        ("ゴ".to_string(), "ｺﾞ".to_string()),
        ("サ".to_string(), "ｻ".to_string()),
        ("ザ".to_string(), "ｻﾞ".to_string()),
        ("シ".to_string(), "ｼ".to_string()),
        ("ジ".to_string(), "ｼﾞ".to_string()),
        ("ス".to_string(), "ｽ".to_string()),
        ("ズ".to_string(), "ｽﾞ".to_string()),
        ("セ".to_string(), "ｾ".to_string()),
        ("ゼ".to_string(), "ｾﾞ".to_string()),
        ("ソ".to_string(), "ｿ".to_string()),
        ("ゾ".to_string(), "ｿﾞ".to_string()),
        ("タ".to_string(), "ﾀ".to_string()),
        ("ダ".to_string(), "ﾀﾞ".to_string()),
        ("チ".to_string(), "ﾁ".to_string()),
        ("ヂ".to_string(), "ﾁﾞ".to_string()),
        ("ッ".to_string(), "ｯ".to_string()),
        ("ツ".to_string(), "ﾂ".to_string()),
        ("ヅ".to_string(), "ﾂﾞ".to_string()),
        ("テ".to_string(), "ﾃ".to_string()),
        ("デ".to_string(), "ﾃﾞ".to_string()),
        ("ト".to_string(), "ﾄ".to_string()),
        ("ド".to_string(), "ﾄﾞ".to_string()),
        ("ナ".to_string(), "ﾅ".to_string()),
        ("ニ".to_string(), "ﾆ".to_string()),
        ("ヌ".to_string(), "ﾇ".to_string()),
        ("ネ".to_string(), "ﾈ".to_string()),
        ("ノ".to_string(), "ﾉ".to_string()),
        ("ハ".to_string(), "ﾊ".to_string()),
        ("バ".to_string(), "ﾊﾞ".to_string()),
        ("パ".to_string(), "ﾊﾟ".to_string()),
        ("ヒ".to_string(), "ﾋ".to_string()),
        ("ビ".to_string(), "ﾋﾞ".to_string()),
        ("ピ".to_string(), "ﾋﾟ".to_string()),
        ("フ".to_string(), "ﾌ".to_string()),
        ("ブ".to_string(), "ﾌﾞ".to_string()),
        ("プ".to_string(), "ﾌﾟ".to_string()),
        ("ヘ".to_string(), "ﾍ".to_string()),
        ("ベ".to_string(), "ﾍﾞ".to_string()),
        ("ペ".to_string(), "ﾍﾟ".to_string()),
        ("ホ".to_string(), "ﾎ".to_string()),
        ("ボ".to_string(), "ﾎﾞ".to_string()),
        ("ポ".to_string(), "ﾎﾟ".to_string()),
        ("マ".to_string(), "ﾏ".to_string()),
        ("ミ".to_string(), "ﾐ".to_string()),
        ("ム".to_string(), "ﾑ".to_string()),
        ("メ".to_string(), "ﾒ".to_string()),
        ("モ".to_string(), "ﾓ".to_string()),
        ("ャ".to_string(), "ｬ".to_string()),
        ("ヤ".to_string(), "ﾔ".to_string()),
        ("ュ".to_string(), "ｭ".to_string()),
        ("ユ".to_string(), "ﾕ".to_string()),
        ("ョ".to_string(), "ｮ".to_string()),
        ("ヨ".to_string(), "ﾖ".to_string()),
        ("ラ".to_string(), "ﾗ".to_string()),
        ("リ".to_string(), "ﾘ".to_string()),
        ("ル".to_string(), "ﾙ".to_string()),
        ("レ".to_string(), "ﾚ".to_string()),
        ("ロ".to_string(), "ﾛ".to_string()),
        ("ワ".to_string(), "ﾜ".to_string()),
        ("ヲ".to_string(), "ｦ".to_string()),
        ("ン".to_string(), "ﾝ".to_string()),
        ("ー".to_string(), "-".to_string()),
        ("ヮ".to_string(), "ヮ".to_string()),
        ("ヰ".to_string(), "ヰ".to_string()),
        ("ヱ".to_string(), "ヱ".to_string()),
        ("ヵ".to_string(), "ヵ".to_string()),
        ("ヶ".to_string(), "ヶ".to_string()),
        ("ヴ".to_string(), "ｳﾞ".to_string()),
        ("ヽ".to_string(), "ヽ".to_string()),
        ("ヾ".to_string(), "ヾ".to_string()),
        ("・".to_string(), "･".to_string()),
        ("「".to_string(), "｢".to_string()),
        ("」".to_string(), "｣".to_string()),
        ("。".to_string(), "｡".to_string()),
        ("、".to_string(), "､".to_string()),
        ("！".to_string(), "!".to_string()),
        ("＂".to_string(), "\"".to_string()),
        ("＃".to_string(), "#".to_string()),
        ("＄".to_string(), "$".to_string()),
        ("％".to_string(), "%".to_string()),
        ("＆".to_string(), "&".to_string()),
        ("＇".to_string(), "'".to_string()),
        ("（".to_string(), "(".to_string()),
        ("）".to_string(), ")".to_string()),
        ("＊".to_string(), "*".to_string()),
        ("＋".to_string(), "+".to_string()),
        ("，".to_string(), ",".to_string()),
        ("．".to_string(), ".".to_string()),
        ("／".to_string(), "/".to_string()),
        ("：".to_string(), ":".to_string()),
        ("；".to_string(), ";".to_string()),
        ("＜".to_string(), "<".to_string()),
        ("＝".to_string(), "=".to_string()),
        ("＞".to_string(), ">".to_string()),
        ("？".to_string(), "?".to_string()),
        ("＠".to_string(), "@".to_string()),
        ("Ａ".to_string(), "A".to_string()),
        ("Ｂ".to_string(), "B".to_string()),
        ("Ｃ".to_string(), "C".to_string()),
        ("Ｄ".to_string(), "D".to_string()),
        ("Ｅ".to_string(), "E".to_string()),
        ("Ｆ".to_string(), "F".to_string()),
        ("Ｇ".to_string(), "G".to_string()),
        ("Ｈ".to_string(), "H".to_string()),
        ("Ｉ".to_string(), "I".to_string()),
        ("Ｊ".to_string(), "J".to_string()),
        ("Ｋ".to_string(), "K".to_string()),
        ("Ｌ".to_string(), "L".to_string()),
        ("Ｍ".to_string(), "M".to_string()),
        ("Ｎ".to_string(), "N".to_string()),
        ("Ｏ".to_string(), "O".to_string()),
        ("Ｐ".to_string(), "P".to_string()),
        ("Ｑ".to_string(), "Q".to_string()),
        ("Ｒ".to_string(), "R".to_string()),
        ("Ｓ".to_string(), "S".to_string()),
        ("Ｔ".to_string(), "T".to_string()),
        ("Ｕ".to_string(), "U".to_string()),
        ("Ｖ".to_string(), "V".to_string()),
        ("Ｗ".to_string(), "W".to_string()),
        ("Ｘ".to_string(), "X".to_string()),
        ("Ｙ".to_string(), "Y".to_string()),
        ("Ｚ".to_string(), "Z".to_string()),
        ("［".to_string(), "[".to_string()),
        ("＼".to_string(), "\\".to_string()),
        ("］".to_string(), "]".to_string()),
        ("＾".to_string(), "^".to_string()),
        ("＿".to_string(), "_".to_string()),
        ("｀".to_string(), "`".to_string()),
        ("ａ".to_string(), "a".to_string()),
        ("ｂ".to_string(), "b".to_string()),
        ("ｃ".to_string(), "c".to_string()),
        ("ｄ".to_string(), "d".to_string()),
        ("ｅ".to_string(), "e".to_string()),
        ("ｆ".to_string(), "f".to_string()),
        ("ｇ".to_string(), "g".to_string()),
        ("ｈ".to_string(), "h".to_string()),
        ("ｉ".to_string(), "i".to_string()),
        ("ｊ".to_string(), "j".to_string()),
        ("ｋ".to_string(), "k".to_string()),
        ("ｌ".to_string(), "l".to_string()),
        ("ｍ".to_string(), "m".to_string()),
        ("ｎ".to_string(), "n".to_string()),
        ("ｏ".to_string(), "o".to_string()),
        ("ｐ".to_string(), "p".to_string()),
        ("ｑ".to_string(), "q".to_string()),
        ("ｒ".to_string(), "r".to_string()),
        ("ｓ".to_string(), "s".to_string()),
        ("ｔ".to_string(), "t".to_string()),
        ("ｕ".to_string(), "u".to_string()),
        ("ｖ".to_string(), "v".to_string()),
        ("ｗ".to_string(), "w".to_string()),
        ("ｘ".to_string(), "x".to_string()),
        ("ｙ".to_string(), "y".to_string()),
        ("ｚ".to_string(), "z".to_string()),
        ("｛".to_string(), "{".to_string()),
        ("｜".to_string(), "|".to_string()),
        ("｝".to_string(), "}".to_string()),
        ("～".to_string(), "~".to_string()),
        ("　".to_string(), " ".to_string()),
        ("０".to_string(), "0".to_string()),
        ("１".to_string(), "1".to_string()),
        ("２".to_string(), "2".to_string()),
        ("３".to_string(), "3".to_string()),
        ("４".to_string(), "4".to_string()),
        ("５".to_string(), "5".to_string()),
        ("６".to_string(), "6".to_string()),
        ("７".to_string(), "7".to_string()),
        ("８".to_string(), "8".to_string()),
        ("９".to_string(), "9".to_string()),
        ("ぁ".to_string(), "ｧ".to_string()),
        ("あ".to_string(), "ｱ".to_string()),
        ("ぃ".to_string(), "ｨ".to_string()),
        ("い".to_string(), "ｲ".to_string()),
        ("ぅ".to_string(), "ｩ".to_string()),
        ("う".to_string(), "ｳ".to_string()),
        ("ぇ".to_string(), "ｪ".to_string()),
        ("え".to_string(), "ｴ".to_string()),
        ("ぉ".to_string(), "ｫ".to_string()),
        ("お".to_string(), "ｵ".to_string()),
        ("か".to_string(), "ｶ".to_string()),
        ("が".to_string(), "ｶﾞ".to_string()),
        ("き".to_string(), "ｷ".to_string()),
        ("ぎ".to_string(), "ｷﾞ".to_string()),
        ("く".to_string(), "ｸ".to_string()),
        ("ぐ".to_string(), "ｸﾞ".to_string()),
        ("け".to_string(), "ｹ".to_string()),
        ("げ".to_string(), "ｹﾞ".to_string()),
        ("こ".to_string(), "ｺ".to_string()),
        ("ご".to_string(), "ｺﾞ".to_string()),
        ("さ".to_string(), "ｻ".to_string()),
        ("ざ".to_string(), "ｻﾞ".to_string()),
        ("し".to_string(), "ｼ".to_string()),
        ("じ".to_string(), "ｼﾞ".to_string()),
        ("す".to_string(), "ｽ".to_string()),
        ("ず".to_string(), "ｽﾞ".to_string()),
        ("せ".to_string(), "ｾ".to_string()),
        ("ぜ".to_string(), "ｾﾞ".to_string()),
        ("そ".to_string(), "ｿ".to_string()),
        ("ぞ".to_string(), "ｿﾞ".to_string()),
        ("た".to_string(), "ﾀ".to_string()),
        ("だ".to_string(), "ﾀﾞ".to_string()),
        ("ち".to_string(), "ﾁ".to_string()),
        ("ぢ".to_string(), "ﾁﾞ".to_string()),
        ("っ".to_string(), "ｯ".to_string()),
        ("つ".to_string(), "ﾂ".to_string()),
        ("づ".to_string(), "ﾂﾞ".to_string()),
        ("て".to_string(), "ﾃ".to_string()),
        ("で".to_string(), "ﾃﾞ".to_string()),
        ("と".to_string(), "ﾄ".to_string()),
        ("ど".to_string(), "ﾄﾞ".to_string()),
        ("な".to_string(), "ﾅ".to_string()),
        ("に".to_string(), "ﾆ".to_string()),
        ("ぬ".to_string(), "ﾇ".to_string()),
        ("ね".to_string(), "ﾈ".to_string()),
        ("の".to_string(), "ﾉ".to_string()),
        ("は".to_string(), "ﾊ".to_string()),
        ("ば".to_string(), "ﾊﾞ".to_string()),
        ("ぱ".to_string(), "ﾊﾟ".to_string()),
        ("ひ".to_string(), "ﾋ".to_string()),
        ("び".to_string(), "ﾋﾞ".to_string()),
        ("ぴ".to_string(), "ﾋﾟ".to_string()),
        ("ふ".to_string(), "ﾌ".to_string()),
        ("ぶ".to_string(), "ﾌﾞ".to_string()),
        ("ぷ".to_string(), "ﾌﾟ".to_string()),
        ("へ".to_string(), "ﾍ".to_string()),
        ("べ".to_string(), "ﾍﾞ".to_string()),
        ("ぺ".to_string(), "ﾍﾟ".to_string()),
        ("ほ".to_string(), "ﾎ".to_string()),
        ("ぼ".to_string(), "ﾎﾞ".to_string()),
        ("ぽ".to_string(), "ﾎﾟ".to_string()),
        ("ま".to_string(), "ﾏ".to_string()),
        ("み".to_string(), "ﾐ".to_string()),
        ("む".to_string(), "ﾑ".to_string()),
        ("め".to_string(), "ﾒ".to_string()),
        ("も".to_string(), "ﾓ".to_string()),
        ("ゃ".to_string(), "ｬ".to_string()),
        ("や".to_string(), "ﾔ".to_string()),
        ("ゅ".to_string(), "ｭ".to_string()),
        ("ゆ".to_string(), "ﾕ".to_string()),
        ("ょ".to_string(), "ｮ".to_string()),
        ("よ".to_string(), "ﾖ".to_string()),
        ("ら".to_string(), "ﾗ".to_string()),
        ("り".to_string(), "ﾘ".to_string()),
        ("る".to_string(), "ﾙ".to_string()),
        ("れ".to_string(), "ﾚ".to_string()),
        ("ろ".to_string(), "ﾛ".to_string()),
        ("わ".to_string(), "ﾜ".to_string()),
        ("を".to_string(), "ｦ".to_string()),
        ("ん".to_string(), "ﾝ".to_string()),
        ("ゎ".to_string(), "ヮ".to_string()),
        ("ゐ".to_string(), "ヰ".to_string()),
        ("ゑ".to_string(), "ヱ".to_string()),
        ("ゕ".to_string(), "ヵ".to_string()),
        ("ゖ".to_string(), "ヶ".to_string()),
        ("ゔ".to_string(), "ｳﾞ".to_string()),
        ("ゝ".to_string(), "ヽ".to_string()),
        ("ゞ".to_string(), "ヾ".to_string()),
    ]);
    pub static ref ALLOWED_HW_KANA: Vec<String> = MAPPINGS_HW.values().cloned().collect();
}
